DeluxHostAPI Reference
Storage Boxes

Get storage usage history

GET
/v1/services/{id}/storage/usage-history

One point per day (UTC), the last one being today with the live value. forecast is a straight line through the last 30 days and is null with fewer than 7 days of data.

Authorization

apiToken storage:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: storage:read

Path Parameters

id*integer

The service id, as returned by GET /v1/services.

Query Parameters

days?integer
Default30
Value in3090

Response Body

The history.

application/json
  1. response
days*integer
quotaBytes*integer
points*array<>
forecast*|null
curl -X GET 'https://api.deluxhost.net/v1/services/0/storage/usage-history' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "days": 0,  "quotaBytes": 0,  "points": [    {      "day": "2019-08-24",      "usedBytes": 0    }  ],  "forecast": {    "bytesPerDay": 0,    "fullInDays": 0,    "basedOnDays": 0  }}